Package org.opensaml.saml.ext.saml2mdui.impl

# Class DiscoHintsImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2mdui.impl.DiscoHintsImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `DiscoHints`

public class DiscoHintsImpl extends AbstractXMLObject implements DiscoHints
Concrete implementation of `DiscoHints`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
`discoHintsChildren`
Children of the UIInfo.

### Fields inherited from interface org.opensaml.saml.ext.saml2mdui.DiscoHints

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DiscoHintsImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<DomainHint>`
`getDomainHints()`
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.
`List<GeolocationHint>`
`getGeolocationHints()`
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity.
`List<IPHint>`
`getIPHints()`
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all children of this element.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of all children of this element which have the specified name or type.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### discoHintsChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> discoHintsChildren
Children of the UIInfo.

## Constructor Details

### DiscoHintsImpl

protected DiscoHintsImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespaceURI
  `elementLocalName` - elementLocalName
  `namespacePrefix` - namespacePrefix

## Method Details

### getXMLObjects

@Nonnull @Live public List<XMLObject> getXMLObjects()
Get the list of all children of this element.

Specified by:
  `getXMLObjects` in interface `DiscoHints`
Returns:
  the list of all XMLObject children

### getXMLObjects

@Nonnull @Live public List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of all children of this element which have the specified name or type.

Specified by:
  `getXMLObjects` in interface `DiscoHints`
Parameters:
  `typeOrName` - the element name or type of the desired list of elements
Returns:
  the list of all XMLObject children

### getDomainHints

@Nonnull @Live public List<DomainHint> getDomainHints()
The <DomainHint> element specifies a set of DNS domains associated with, or serviced by, the entity.

Specified by:
  `getDomainHints` in interface `DiscoHints`
Returns:
  hints.

### getGeolocationHints

@Nonnull @Live public List<GeolocationHint> getGeolocationHints()
The <GeolocationHint> element specifies the geographic coordinates associated with, or serviced by, the entity. Coordinates are given in decimal form using the World Geodetic System (2d) coordinate system.

Specified by:
  `getGeolocationHints` in interface `DiscoHints`
Returns:
  hints

### getIPHints

@Nonnull @Live public List<IPHint> getIPHints()
The <IPHint> element specifies a set of [CIDR] blocks associated with, or serviced by, the entity. Both IPv4 and IPv6 CIDR blocks MUST be supported.

Specified by:
  `getIPHints` in interface `DiscoHints`
Returns:
  hints

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements